Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.termination
Class TerminationConfig

    java.lang.Object
      org.optaplanner.core.config.termination.TerminationConfig

All Implemented Interfaces:
  Cloneable

    public class TerminationConfig

extends Object
implements Cloneable

Nested Class Summary
`static class` | `TerminationConfig.TerminationCompositionStyle`

Constructor Summary
`TerminationConfig()`

Method Summary
`Termination` | `buildTermination(HeuristicConfigPolicy configPolicy)`
`Termination` | `buildTermination(HeuristicConfigPolicy configPolicy, Termination chainedTermination)`
`Long` | `calculateMaximumTimeMillisSpendTotal()`
`TerminationConfig` | `clone()`
`Long` | `getMaximumHoursSpend()`
`Long` | `getMaximumMinutesSpend()`
`Long` | `getMaximumSecondsSpend()`
`Integer` | `getMaximumStepCount()`
`Long` | `getMaximumTimeMillisSpend()`
`Integer` | `getMaximumUnimprovedStepCount()`
`String` | `getScoreAttained()`
`Class<? extends Termination>` | `getTerminationClass()`
`TerminationConfig.TerminationCompositionStyle` | `getTerminationCompositionStyle()`
`List<TerminationConfig>` | `getTerminationConfigList()`
`void` | `inherit(TerminationConfig inheritedConfig)`
`void` | `setMaximumHoursSpend(Long maximumHoursSpend)`
`void` | `setMaximumMinutesSpend(Long maximumMinutesSpend)`
`void` | `setMaximumSecondsSpend(Long maximumSecondsSpend)`
`void` | `setMaximumStepCount(Integer maximumStepCount)`
`void` | `setMaximumTimeMillisSpend(Long maximumTimeMillisSpend)`
`void` | `setMaximumUnimprovedStepCount(Integer maximumUnimprovedStepCount)`
`void` | `setScoreAttained(String scoreAttained)`
`void` | `setTerminationClass(Class<? extends Termination> terminationClass)`
`void` | `setTerminationCompositionStyle(TerminationConfig.TerminationCompositionStyle terminationCompositionStyle)`
`void` | `setTerminationConfigList(List<TerminationConfig> terminationConfigList)`
`void` | `shortenMaximumTimeMillisSpendTotal(long maximumTimeMillisSpendTotal)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerminationConfig

    public TerminationConfig()

Method Detail

### getTerminationClass

    public Class<? extends Termination> getTerminationClass()

### setTerminationClass

    public void setTerminationClass(Class<? extends Termination> terminationClass)

### getTerminationCompositionStyle

    public TerminationConfig.TerminationCompositionStyle getTerminationCompositionStyle()

### setTerminationCompositionStyle

    public void setTerminationCompositionStyle(TerminationConfig.TerminationCompositionStyle terminationCompositionStyle)

### getMaximumTimeMillisSpend

    public Long getMaximumTimeMillisSpend()

### setMaximumTimeMillisSpend

    public void setMaximumTimeMillisSpend(Long maximumTimeMillisSpend)

### getMaximumSecondsSpend

    public Long getMaximumSecondsSpend()

### setMaximumSecondsSpend

    public void setMaximumSecondsSpend(Long maximumSecondsSpend)

### getMaximumMinutesSpend

    public Long getMaximumMinutesSpend()

### setMaximumMinutesSpend

    public void setMaximumMinutesSpend(Long maximumMinutesSpend)

### getMaximumHoursSpend

    public Long getMaximumHoursSpend()

### setMaximumHoursSpend

    public void setMaximumHoursSpend(Long maximumHoursSpend)

### getScoreAttained

    public String getScoreAttained()

### setScoreAttained

    public void setScoreAttained(String scoreAttained)

### getMaximumStepCount

    public Integer getMaximumStepCount()

### setMaximumStepCount

    public void setMaximumStepCount(Integer maximumStepCount)

### getMaximumUnimprovedStepCount

    public Integer getMaximumUnimprovedStepCount()

### setMaximumUnimprovedStepCount

    public void setMaximumUnimprovedStepCount(Integer maximumUnimprovedStepCount)

### getTerminationConfigList

    public List<TerminationConfig> getTerminationConfigList()

### setTerminationConfigList

    public void setTerminationConfigList(List<TerminationConfig> terminationConfigList)

### buildTermination

    public Termination buildTermination(HeuristicConfigPolicy configPolicy,
                                        Termination chainedTermination)

### buildTermination

    public Termination buildTermination(HeuristicConfigPolicy configPolicy)

### calculateMaximumTimeMillisSpendTotal

    public Long calculateMaximumTimeMillisSpendTotal()

### shortenMaximumTimeMillisSpendTotal

    public void shortenMaximumTimeMillisSpendTotal(long maximumTimeMillisSpendTotal)

### inherit

    public void inherit(TerminationConfig inheritedConfig)

### clone

    public TerminationConfig clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.